Aurion Docs
Api

Request Export

Request an analytics export (AC6, AC7). Generates a download URL for the requested export format. All exports apply server-side PII redaction. Export request is logged to audit_logs for compliance. Access restricted to admin role only (AC10).

POST
/api/v1/analytics/export

Request an analytics export (AC6, AC7).

Generates a download URL for the requested export format. All exports apply server-side PII redaction. Export request is logged to audit_logs for compliance.

Access restricted to admin role only (AC10).

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/analytics/export" \  -H "Content-Type: application/json" \  -d '{    "end_date": "2019-08-24",    "format": "string",    "start_date": "2019-08-24"  }'
{
  "download_url": "string",
  "expires_at": "2019-08-24T14:15:22Z",
  "export_id": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}